3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class Sup { public function wa($first) {} } class Sub extends Sup { public function wa($first, $second) {} }
Output for 7.0.0 - 7.1.0
Warning: Declaration of Sub::wa($first, $second) should be compatible with Sup::wa($first) in /in/deQPk on line 11
Output for 5.0.0 - 5.4.45, hhvm-3.10.0 - 3.12.0
Output for 5.5.0 - 5.6.28
Strict Standards: Declaration of Sub::wa() should be compatible with Sup::wa($first) in /in/deQPk on line 11
Output for 4.4.2 - 4.4.9
<br /> <b>Parse error</b>: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in <b>/in/deQPk</b> on line <b>5</b><br />
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
<br /> <b>Parse error</b>: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in <b>/in/deQPk</b> on line <b>5</b><br />
Process exited with code 255.
Output for 4.3.2 - 4.3.4
<br /> <b>Parse error</b>: parse error, expecting `T_OLD_FUNCTION' or `T_FUNCTION' or `T_VAR' or `'}'' in <b>/in/deQPk</b> on line <b>5</b><br />
Process exited with code 255.